Bug 15738 - Summary page says item has no fines, but Fines tab says otherwise
Summary: Summary page says item has no fines, but Fines tab says otherwise
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-03 23:43 UTC by Aleisha Amohia
Modified: 2017-12-07 22:21 UTC (History)
7 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Shows problem on opac-user.pl (14.59 KB, image/png)
2016-02-03 23:44 UTC, Aleisha Amohia
Details
Problem still valid (24.13 KB, image/png)
2016-03-29 23:03 UTC, Aleisha Amohia
Details
Bug 15738: Show rental fees on OPAC summary page (2.99 KB, patch)
2017-01-05 02:04 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15738: Show rental fees on OPAC summary page (3.06 KB, patch)
2017-04-26 15:18 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 15738: Show rental fees on OPAC summary page (3.12 KB, patch)
2017-04-26 19:51 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-02-03 23:43:32 UTC
Issuing an item to a user gives instant $5 fine.
On the OPAC next to the item it says there are no fines attached to the item, but in the Fines tab you can clearly see there are fines. See attachment
Comment 1 Aleisha Amohia 2016-02-03 23:44:07 UTC
Created attachment 47628 [details]
Shows problem on opac-user.pl
Comment 2 Owen Leonard 2016-02-17 19:01:10 UTC
I'm pretty sure the "fines" column in the OPAC only shows overdue fines. What you're describing sounds like a rental charge. Perhaps this bug should be be "Show a rental charges column in the OPAC summary table."
Comment 3 Aleisha Amohia 2016-02-23 03:53:50 UTC
(In reply to Owen Leonard from comment #2)
> I'm pretty sure the "fines" column in the OPAC only shows overdue fines.
> What you're describing sounds like a rental charge. Perhaps this bug should
> be be "Show a rental charges column in the OPAC summary table."

Maybe. Or maybe just change the column to something a bit clearer like 'Overdue fines'. I think my issue was maybe that I didn't know what that value was and since there were fees attached to the item, I thought it should've said yes.
Comment 4 Aleisha Amohia 2016-03-29 23:03:37 UTC
Created attachment 49658 [details]
Problem still valid

Just having another look at this: even when my issue is overdue, fines says 'No'.
Comment 5 Liz Rea 2016-06-08 02:04:25 UTC
This is actually a pretty big problem for libraries who charge rentals, and it completely is the rentals that are causing this - the Koha default data comes with a $5 rental fee on item type book.

It would be good to display both overdue fines and rental fees on the circulation page.
Comment 6 Aleisha Amohia 2017-01-05 02:04:35 UTC
Created attachment 58610 [details] [review]
Bug 15738: Show rental fees on OPAC summary page

This patch adds a few lines that check for a rental fee on an item. If
yes, it will show in brackets as a rental fee on the OPAC summary page.

To test:
1) Have a borrower with an overdue item accruing fines, a lost item and
an item with a rental fee. Confirm the Fines column on the OPAC summary
page now shows you what you may expect to see for each item.

Sponsored-by: Catalyst IT
Comment 7 Katrin Fischer 2017-01-07 22:03:10 UTC
If there is a rental fee and an overdue fine on the item the line will read:
Yes (Item overdue or lost)

Maybe, instead of showing yes or no, would it make more sense to show the amount? Then the user can check the fine display for details.

Or we could keep the general (yes/no), but have it say as soon as there is any kind of fee/fine on the item?
Comment 8 Eric 2017-03-23 19:02:58 UTC Comment hidden (obsolete)
Comment 9 Eric 2017-03-23 19:05:16 UTC
With the patch I can see both the rental charges and the fines next to the item, in the column. But I see this in the checkout area

 Cannot check out!

    Fees & Charges: Patron has outstanding fees & charges of 35.00

---
Fines tab:

Rental fee :  5$
sub total:    5$

fine:         10$
Lost book:    25$
Subtotal:     35$

Total:        40$


It seems the 5$ for rental is not considered / Does it mean that it is supposed to be already paid for ? Or is it that rentals are meant to be seen on the fine tab, while not being fines ?
Comment 10 Josef Moravec 2017-04-26 15:18:07 UTC
Created attachment 62732 [details] [review]
[SIGNED-OFF] Bug 15738: Show rental fees on OPAC summary page

This patch adds a few lines that check for a rental fee on an item. If
yes, it will show in brackets as a rental fee on the OPAC summary page.

To test:
1) Have a borrower with an overdue item accruing fines, a lost item and
an item with a rental fee. Confirm the Fines column on the OPAC summary
page now shows you what you may expect to see for each item.

Sponsored-by: Catalyst IT

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 11 Jonathan Druart 2017-04-26 19:51:23 UTC
Created attachment 62747 [details] [review]
Bug 15738: Show rental fees on OPAC summary page

This patch adds a few lines that check for a rental fee on an item. If
yes, it will show in brackets as a rental fee on the OPAC summary page.

To test:
1) Have a borrower with an overdue item accruing fines, a lost item and
an item with a rental fee. Confirm the Fines column on the OPAC summary
page now shows you what you may expect to see for each item.

Sponsored-by: Catalyst IT

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 12 Jonathan Druart 2017-04-26 19:55:31 UTC
(In reply to Eric from comment #9)
> It seems the 5$ for rental is not considered / Does it mean that it is
> supposed to be already paid for ? Or is it that rentals are meant to be seen
> on the fine tab, while not being fines ?

I do not recreate, do you have more information to share with us?
Comment 13 Kyle M Hall 2017-04-28 10:54:22 UTC
Pushed to master for 17.05, thanks Aleisha!
Comment 14 Katrin Fischer 2017-05-13 12:07:19 UTC
This patch has been pushed to 16.11.x and will be in 16.11.08.
Comment 15 Mason James 2017-05-24 02:08:04 UTC
Pushed to 16.05.x, for 16.05.13 release